Skip to main content
POST
/
vault
/
accounts
/
{vaultAccountId}
/
{assetId}
/
addresses
TypeScript
const response: Promise<FireblocksResponse<CreateAddressResponse>> = fireblocks.vaults.createVaultAccountAssetAddress(vaultsApiCreateVaultAccountAssetAddressRequest);
{
  "address": "<string>",
  "legacyAddress": "<string>",
  "enterpriseAddress": "<string>",
  "tag": "<string>",
  "bip44AddressIndex": 123
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

vaultAccountId
string<numeric>
required

The ID of the vault account to return

assetId
string
required

The ID of the asset

Body

application/json
description
string

(Optional) Attach a description to the new address

customerRefId
string

Optional - Sets a customer reference ID

Response

The created address

address
string
legacyAddress
string
enterpriseAddress
string
tag
string
bip44AddressIndex
integer